Subject: Re: [PATCH v2] net: alacritech: Partially revert "net: alacritech: Switch to use dev_err_probe()"

From: Simon Horman <[email-masked]>
Date: Tue, 3 Sep 2024 09:06:34 +0100

On Mon, Sep 02, 2024 at 06:36:10PM +0200, Krzysztof Kozlowski wrote:
> This reverts commit bf4d87f884fe8a4b6b61fe4d0e05f293d08df61c because it
> introduced dev_err_probe() in non-probe path, which is not desired.
> 
> In general, calling dev_err_probe() after successful probe in case of
> handling -EPROBE_DEFER error, will set deferred status on the device
> already probed.  This is however not a problem here now, because
> dev_err_probe() in affected places is used for handling errors from
> request_firmware(), which does not return -EPROBE_DEFER.  Still usage of
> dev_err_probe() in such case is not correct, because request_firmware()
> could once return -EPROBE_DEFER.
> 
> Fixes: bf4d87f884fe ("net: alacritech: Switch to use dev_err_probe()")
> Signed-off-by: Krzysztof Kozlowski <[email-masked]>
> 
> ---
> 
> Changes in v2:
> 1. Update commit msg (Simon).

Thanks for the update, much appreciated.

Reviewed-by: Simon Horman <[email-masked]>

...